use serde::Deserialize;

use super::OnceRewardID;

template_id!(BattleEventConfig u32 id);

#[derive(Deserialize, Debug)]
#[serde(rename_all = "PascalCase")]
pub struct BattleEventConfigTemplate {
    #[serde(rename = "ID")]
    pub id: BattleEventConfigID,
    #[serde(rename = "LevelDesignID")]
    pub level_design_id: u32,
    pub normal_drop: String,
    pub special_drop: Vec<OnceRewardID>,
}
