use serde::Deserialize;

template_id!(QuickAccess u32 quick_func_id);

#[derive(Deserialize, Debug)]
#[serde(rename_all = "PascalCase")]
pub struct QuickAccessTemplate {
    pub quick_access_index: u32,
    #[serde(rename = "QuickFuncID")]
    pub quick_func_id: QuickAccessID,
}
