use serde::Deserialize;

use super::BattleEventConfigID;

template_id!(BattleGroupConfig u32 id);

#[derive(Deserialize, Debug)]
#[serde(rename_all = "PascalCase")]
pub struct BattleGroupConfigTemplate {
    #[serde(rename = "ID")]
    pub id: BattleGroupConfigID,
    #[serde(rename = "QuestID")]
    pub quest_id: u32,
    #[serde(rename = "BattleEventID")]
    pub battle_event_id: BattleEventConfigID,
}
