use serde::Deserialize;

template_id!(TeleportConfig i32 teleport_id);

#[derive(Deserialize, Debug)]
#[serde(rename_all = "PascalCase")]
pub struct TeleportConfigTemplate {
    #[serde(rename = "TeleportID")]
    pub teleport_id: TeleportConfigID,
    pub client_visible: u32,
}
